## gramps 4.0.3+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/Gramps.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/Gramps.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

=== gramps/webapp/Makefile ===
# Initialize GRAMPS Django site

update: grampsdb/fixtures/initial_data.json
	PYTHONPATH=../.. python manage.py syncdb --noinput
	PYTHONPATH=../.. python manage.py createsuperuser --username=admin --email=bugs@gramps-project.org
	PYTHONPATH=../.. python manage.py createsuperuser --username=admin1 --email=bugs@gramps-project.org

grampsdb/fixtures/initial_data.json: init.py
	PYTHONPATH=../.. python init.py > grampsdb/fixtures/initial_data.json

init_gramps:
	PYTHONPATH=../.. python init_gramps.py # clear primary and secondary tables

run:
	PYTHONPATH=../.. python manage.py runserver

sql:
	PYTHONPATH=../.. python manage.py sqlall > gramps-sql.sql

dump:
	echo ".dump" | sqlite3 sqlite.db > gramps-data.sql

load:
	sqlite3 sqlite.db < gramps-data.sql

superusers:
	PYTHONPATH=../.. python manage.py createsuperuser --username=admin --email=bugs@gramps-project.org
	PYTHONPATH=../.. python manage.py createsuperuser --username=admin1 --email=bugs@gramps-project.org

backup:
	PYTHONPATH=../.. python manage.py dumpdata > backup.json

restore: empty
	PYTHONPATH=../.. python manage.py loaddata backup.json

initial_data: 
	PYTHONPATH=../.. python manage.py loaddata grampsdb/fixtures/initial_data.json

docs:
	mkdir -p docs
	python manage.py graph_models grampsdb -i Person,Family,Source,Event,Repository,Place,Media,Note -o docs/primary-tables.png
	python manage.py graph_models grampsdb -i Note -o docs/note-table.png
	python manage.py graph_models grampsdb -i Media -o docs/media-table.png
	python manage.py graph_models grampsdb -i Place -o docs/place-table.png
	python manage.py graph_models grampsdb -i Repository -o docs/repository-table.png
	python manage.py graph_models grampsdb -i Event -o docs/event-table.png
	python manage.py graph_models grampsdb -i Source -o docs/source-table.png
	python manage.py graph_models grampsdb -i Family -o docs/family-table.png
	python manage.py graph_models grampsdb -i Person -o docs/person-table.png
	python manage.py graph_models grampsdb -o docs/all-tables.png
	python manage.py graph_models grampsdb -i Attribute,Datamap,Name,Lds,Tag,Address,Location,Url -o docs/secondary-tables.png
	python manage.py graph_models grampsdb -i Person,Family,Source,Event,Repository,Place,Media,Note,Attribute,Datamap,Name,Lds,Tag,Address,Location,Url -o docs/prim-sec-tables.png
	python manage.py graph_models grampsdb -i Person,Family,Source,Event,Repository,Place,Media,Note,Attribute,Datamap,Name,Lds,Tag,Address,Location,Url -o docs/prim-sec-tables.png
	python manage.py graph_models grampsdb -i Person,Family,Source,Event,Repository,Place,Media,Note,Attribute,Datamap,Name,Lds,Tag,Address,Location,Url,NoteRef,SourceRef,EventRef,RepositoryRef,PersonRef,ChildRef,MediaRef -o docs/prim-sec-ref-tables.png

make-empty:
	echo ".dump" | sqlite3 sqlite.db > empty.sql

empty:
	rm -f sqlite.db
	sqlite3 sqlite.db < empty.sql

example:
	rm -f sqlite.db
	sqlite3 sqlite.db < example.sql

clean:
	rm -f sqlite.db
	rm -f *~ *.pyc *.pyo
	rm -f grampsdb/fixtures/initial_data.json

## gramps 3.2.0

=== debian/changelog ===
gramps (3.2.0-1) unstable; urgency=low

  * New upstream release
  * works with gtk 2.19. Closes: #566958

 -- James A. Treacy <treacy@debian.org>  Fri, 15 Mar 2010 18:05:39 -0500

gramps (3.1.3-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format

 -- James A. Treacy <treacy@debian.org>  Tue, 05 Jan 2010 20:04:30 -0500

gramps (3.1.3-1) unstable; urgency=low

  * New upstream release

 -- James A. Treacy <treacy@debian.org>  Sun, 06 Dec 2009 13:46:48 -0500

gramps (3.1.2-2) unstable; urgency=low

  * allow python >= 2.5. Closes: #547150
  * fix Relationship Graph to use new format for URLs. Closes: #532559
  * Web report creation fixed. Closes: #537355

 -- James A. Treacy <treacy@debian.org>  Tue, 17 Nov 2009 11:38:43 -0500

gramps (3.1.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: drop Recommends on python-gnome2-desktop: it is now
    gone and none of its modules are used anyhow (Closes: #541560)

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 08 Oct 2009 13:52:35 +0200

gramps (3.1.2-1) unstable; urgency=low

  * New upstream release.
  * Replace Recommends on python-gnome2-extras with python-gtkspell
  * Do not create the directory /etc/gconf/schemas/. Closes: Bug#525683

 -- James A. Treacy <treacy@debian.org>  Sun, 07 Jun 2009 14:01:16 -0400

gramps (3.1.1-1) unstable; urgency=low

  * New upstream release.

 -- James A. Treacy <treacy@debian.org>  Tue, 10 Mar 2009 09:26:52 -0400

gramps (3.1.0-1) unstable; urgency=low

  * New upstream release.
  * link /usr/share/common-licenses/GPL-2 from /usr/share/gramps/COPYING
    so gramps can find the file.

 -- James A. Treacy <treacy@debian.org>  Sat, 07 Mar 2009 22:03:09 -0500

gramps (3.0.4-1) unstable; urgency=low

  * New upstream version. Closes: #506621, #506818

 -- James A. Treacy <treacy@debian.org>  Sun, 07 Dec 2008 21:39:55 -0500

gramps (3.0.3-1) unstable; urgency=low

  * New upstream version

 -- James A. Treacy <treacy@debian.org>  Mon, 20 Oct 2008 20:43:35 -0400

gramps (3.0.2-1) unstable; urgency=low

  * New upstream version

 -- James A. Treacy <treacy@debian.org>  Sat, 27 Sep 2008 17:25:09 -0400

gramps (3.0.1-2) unstable; urgency=low

  * Remove dependency on gnome-doc-utils and scrollkeeper
  * Disable spell checking in src/Spell.py due to the spell checker
    crashing. Closes: #492212
    Spell checking will be reenabled once the offending package is
    identified and fixed.

 -- James A. Treacy <treacy@debian.org>  Fri, 29 Aug 2008 11:09:04 -0400

gramps (3.0.1-1) unstable; urgency=low

  * New upstream version

 -- James A. Treacy <treacy@debian.org>  Mon, 19 May 2008 09:38:28 -0400

gramps (3.0.0-6) unstable; urgency=low

  * Fix typo in _EditChildRef.py which can cause gramps to crash. Closes: #476163

 -- James A. Treacy <treacy@debian.org>  Tue, 15 Apr 2008 23:37:04 -0400

gramps (3.0.0-5) unstable; urgency=low

  * Remove gtkspell Recommends as it is now provided by python-gnome2-extras.
    Closes: Bug#474755

 -- James A. Treacy <treacy@debian.org>  Mon, 07 Apr 2008 17:25:18 -0400

gramps (3.0.0-4) unstable; urgency=low

  * Fix the binary package python dependency properly. A recent python
    (>= 2.4.4-6) is needed to ensure python2.5 is supported properly.
    Closes: #474056

 -- James A. Treacy <treacy@debian.org>  Thu, 03 Apr 2008 09:46:28 -0400

gramps (3.0.0-3) unstable; urgency=low

  * Build-Depends on Python2.5. Closes: Bug#473946, #474056

 -- James A. Treacy <treacy@debian.org>  Wed, 02 Apr 2008 08:28:27 -0400

gramps (3.0.0-2) unstable; urgency=low

  * Explicitly require python version >= 2.5

 -- James A. Treacy <treacy@debian.org>  Wed, 26 Mar 2008 09:34:25 -0400

gramps (3.0.0-1) unstable; urgency=low

  * New upstream release. Closes: #472681

 -- James A. Treacy <treacy@debian.org>  Tue, 25 Mar 2008 09:35:00 -0400

gramps (2.2.10-2) unstable; urgency=low

  * Remove build dependency on python-xml. Closes: Bug#468625

 -- James A. Treacy <treacy@debian.org>  Fri, 29 Feb 2008 13:30:11 -0500

gramps (2.2.10-1) unstable; urgency=low

  * New upstream release
  * Added dh_icons to debian/rules. Closes: #454761
  * Remove version from scrollkeeper dependency. Closes: #456600
  * Fixed typos in description. Closes: #433559

 -- James A. Treacy <treacy@debian.org>  Mon, 14 Jan 2008 09:57:25 -0500

gramps (2.2.9-2) unstable; urgency=low

  * Move debhelper to Build-Depends. Closes: #447948

 -- James A. Treacy <treacy@debian.org>  Wed, 24 Oct 2007 20:03:36 -0400

gramps (2.2.9-1) unstable; urgency=low

  * New upstream release

 -- James A. Treacy <treacy@debian.org>  Thu, 18 Oct 2007 13:14:30 -0400

gramps (2.2.8-2) unstable; urgency=low

  * Work around a bug in gnome-python-extras which caused a deallocation
    of the TextView in the check if a spell checker is present.
    Closes: #445864

 -- James A. Treacy <treacy@debian.org>  Tue, 09 Oct 2007 17:26:54 -0400

gramps (2.2.8-1) unstable; urgency=low

  * New Upstream version
  * Misleading error message changed. Closes: #418033

 -- James A. Treacy <treacy@debian.org>  Mon, 28 May 2007 21:00:51 -0400

gramps (2.2.7-2) unstable; urgency=low

  * Added dependency on librsvg2-common

 -- James A. Treacy <treacy@debian.org>  Mon, 23 Apr 2007 19:32:00 -0400

gramps (2.2.7-1) unstable; urgency=low

  * New upstream version

 -- James A. Treacy <treacy@debian.org>  Sun, 22 Apr 2007 20:08:55 -0400

gramps (2.2.6-1) unstable; urgency=low

  * New upstream version

 -- James A. Treacy <treacy@debian.org>  Mon, 29 Jan 2007 20:12:05 -0500

gramps (2.2.5-0rc1-1) unstable; urgency=low

  * rc1 of 2.2.5

 -- James A. Treacy <treacy@debian.org>  Thu, 25 Jan 2007 23:04:24 -0500

gramps (2.2.4-1) unstable; urgency=low

  * New upstream release

 -- James A. Treacy <treacy@debian.org>  Wed, 27 Dec 2006 18:04:11 -0500

gramps (2.2.3-1) unstable; urgency=low

  * New upstream release

 -- James A. Treacy <treacy@debian.org>  Mon, 27 Nov 2006 00:27:23 -0500

gramps (2.2.2-2) unstable; urgency=low



=== debian/control ===
Source: gramps
Section: gnome
Priority: optional
Maintainer: James A. Treacy <treacy@debian.org>
Build-Depends-Indep: libxml-parser-perl, python-gtk2, gettext, libgconf2-dev, python-central (>= 0.5.6), python, intltool
Build-Depends:  debhelper (>= 7)
Standards-Version: 3.8.3
Homepage: http://www.gramps-project.org/
XS-Python-Version: >=2.5

Package: gramps
Architecture: all
Depends: ${python:Depends}, librsvg2-common, python-gtk2, xdg-utils, ${misc:Depends}
Replaces: gramps-manual, gramps-extending-doc
Conflicts: gramps-manual, gramps-extending-doc, gramps-common, python-gtk-1.2
Recommends: graphviz, python-webkit, python-gtkmozembed
Suggests: ttf-freefont, python-enchant, python-gtkspell
Description: Genealogical research program
 GRAMPS is an Open Source genealogy program written in Python, using
 the GTK/GNOME interface. It is an extremely flexible program fitting
 the needs for both the amateur genealogist and serious genealogical
 researcher.
 GRAMPS has the ability to import GEDCOM files exported from many
 proprietary genealogy programs and can produce a large number of
 reports in many popular formats.
XB-Python-Version: ${python:Versions}

## gramps 3.2.3

=== debian/changelog ===
gramps (3.2.3-4) unstable; urgency=low

  * added one line fix to preven crash on export. Closes: #603464

 -- James A. Treacy <treacy@debian.org>  Mon, 15 Nov 2010 14:41:58 -0500

gramps (3.2.3-3) unstable; urgency=low

  * Added missing entries for new files for Slovenian translation to
    appropriate Makefile.am . Closes: #599544

 -- James A. Treacy <treacy@debian.org>  Fri, 08 Oct 2010 15:16:11 -0400

gramps (3.2.3-2) unstable; urgency=low

  * Updated Slovenian translation

 -- James A. Treacy <treacy@debian.org>  Tue, 05 Oct 2010 22:54:36 -0400

gramps (3.2.3-1) unstable; urgency=low

  * New upstream version

 -- James A. Treacy <treacy@debian.org>  Mon, 17 May 2010 09:29:03 -0400

gramps (3.2.2-1) unstable; urgency=low

  * New upstream version

 -- James A. Treacy <treacy@debian.org>  Mon, 26 Apr 2010 09:22:26 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: James A. Treacy <treacy@debian.org>
-Build-Depends-Indep: libxml-parser-perl, python-gtk2, gettext, libgconf2-dev, python-central (>= 0.5.6), python, intltool
+Build-Depends-Indep: libxml-parser-perl, python-gtk2, gettext, python-central (>= 0.5.6), python, intltool
 Build-Depends:  debhelper (>= 7)
 Standards-Version: 3.8.3
 Homepage: http://www.gramps-project.org/

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir

	#./autogen.sh --prefix=/usr --mandir=\$${prefix}/share/man --sysconfdir=/etc
	./configure --enable-packager-mode --prefix=/usr --mandir=\$${prefix}/share/man --sysconfdir=/etc
	# ./configure --prefix=`pwd`/debian/tmp/usr --mandir=\$${prefix}/share/man
	$(MAKE)
	# $(MAKE) html

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	# [ ! -f Makefile ] || $(MAKE) distclean
	# -rm -f src/*.pyo src/*/*.pyo
	# -rm -f config.status config.log

	dh_auto_clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	# GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
	$(MAKE) install DESTDIR=`pwd`/debian/gramps
	-rm -f debian/gramps/usr/share/gramps/COPYING
	ln -s /usr/share/common-licenses/GPL-2 debian/gramps/usr/share/gramps/COPYING
	-rm -rf debian/gramps/usr/var
	# cp src/data/gramps.xml debian/gramps/usr/share/mime/packages
	-find debian/gramps/usr/share/ -name "*.pyo" -exec rm -f '{}' ';'

	cp debian/gramps.xpm debian/gramps/usr/share/pixmaps/
	# cp src/gramps.xpm debian/tmp/usr/share/pixmaps/
	# cp src/images/gramps.svg debian/gramps/usr/share/pixmaps/
	# chmod 644 debian/gramps/usr/share/pixmaps/gramps.svg

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs FAQ
	dh_installmenu
	# dh_installman
	dh_installmime -i
	# dh_installchangelogs ChangeLog
	dh_installchangelogs
	dh_icons
	# dh_movefiles -i
	# dh_gconf -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_pycentral -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i


# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## gramps 3.2.5

=== debian/changelog ===
gramps (3.2.5-1) unstable; urgency=low

  * New upstream release

 -- James A. Treacy <treacy@debian.org>  Wed, 16 Feb 2011 23:40:45 -0500

## gramps 3.2.6

=== debian/changelog ===
gramps (3.2.6-1ubuntu1) oneiric; urgency=low

  * Drop python-gtkmozembed recommends. We're dropping xulrunner from the
    archive, and this works with python-webkit already
    (see https://blueprints.launchpad.net/ubuntu/+spec/
           desktop-o-mozilla-rapid-release-maintenance)
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 08 Jun 2011 01:44:54 +0100

gramps (3.2.6-1) unstable; urgency=low

  * New upstream version.
  * patched to include update to Narrative Web Report

 -- James A. Treacy <treacy@debian.org>  Mon, 02 May 2011 13:26:56 -0400

gramps (3.2.5-2) unstable; urgency=low

  * replace dh_pycentral with dh_python2. Closes: #616835

 -- James A. Treacy <treacy@debian.org>  Mon, 07 Mar 2011 00:41:57 -0500

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: gramps
 Section: gnome
 Priority: optional
-Maintainer: James A. Treacy <treacy@debian.org>
-Build-Depends-Indep: libxml-parser-perl, python-gtk2, gettext, python-central (>= 0.5.6), python, intltool
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: James A. Treacy <treacy@debian.org>
+Build-Depends-Indep: libxml-parser-perl, python-gtk2, gettext, python, intltool
 Build-Depends:  debhelper (>= 7)
-Standards-Version: 3.8.3
+Standards-Version: 3.9.2
 Homepage: http://www.gramps-project.org/
-XS-Python-Version: >=2.5
 
 Package: gramps
 Architecture: all
 Depends: ${python:Depends}, librsvg2-common, python-gtk2, xdg-utils, ${misc:Depends}
 Replaces: gramps-manual, gramps-extending-doc
 Conflicts: gramps-manual, gramps-extending-doc, gramps-common, python-gtk-1.2
-Recommends: graphviz, python-webkit, python-gtkmozembed
+Recommends: graphviz, python-webkit
 Suggests: ttf-freefont, python-enchant, python-gtkspell
 Description: Genealogical research program
  GRAMPS is an Open Source genealogy program written in Python, using

## gramps 3.3.0

=== debian/changelog ===
gramps (3.3.0-1) unstable; urgency=low

  * New upstream version
  * apply upstream patch to fix norwegian translation

 -- James A. Treacy <treacy@debian.org>  Mon, 20 Jun 2011 22:19:43 -0400

## gramps 3.3.1

=== debian/changelog ===
gramps (3.3.1-1) unstable; urgency=low

  * New upstream version

 -- James A. Treacy <treacy@debian.org>  Mon, 03 Oct 2011 20:35:37 -0400

=== debian/control ===
Source: gramps
Section: gnome
Priority: optional
Maintainer: James A. Treacy <treacy@debian.org>
Build-Depends-Indep: libxml-parser-perl, python-gtk2, gettext, python, intltool
Build-Depends:  debhelper (>= 7)
Standards-Version: 3.9.2
Homepage: http://www.gramps-project.org/

Package: gramps
Architecture: all
Depends: ${python:Depends}, librsvg2-common, python-gtk2, xdg-utils, python-pyexiv2, python-osmgpsmap, ${misc:Depends}
Replaces: gramps-manual, gramps-extending-doc
Conflicts: gramps-manual, gramps-extending-doc, gramps-common, python-gtk-1.2
Recommends: graphviz, imagemagick, jhead
Suggests: ttf-freefont, python-gtkspell
Description: Genealogical research program
 GRAMPS is an Open Source genealogy program written in Python, using
 the GTK/GNOME interface. It is an extremely flexible program fitting
 the needs for both the amateur genealogist and serious genealogical
 researcher.
 GRAMPS has the ability to import GEDCOM files exported from many
 proprietary genealogy programs and can produce a large number of
 reports in many popular formats.
XB-Python-Version: ${python:Versions}

=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,7 @@
 	dh_link -i
 	dh_compress -i
 	dh_fixperms -i
-	dh_pycentral -i
+	dh_python2 -i
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i

## gramps 3.4.0

=== debian/changelog ===
gramps (3.4.0-1) unstable; urgency=low

  * New upstream version
  * Updated desktop file. Closes: #667472

 -- James A. Treacy <treacy@debian.org>  Tue, 22 May 2012 17:18:36 -0400

gramps (3.3.2-1) unstable; urgency=low

  * New upstream version

 -- James A. Treacy <treacy@debian.org>  Sat, 19 May 2012 19:37:50 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Replaces: gramps-manual, gramps-extending-doc
 Conflicts: gramps-manual, gramps-extending-doc, gramps-common, python-gtk-1.2
 Recommends: graphviz, imagemagick, jhead
-Suggests: ttf-freefont, python-gtkspell
+Suggests: ttf-freefont, python-gtkspell, python-pygoocanvas
 Description: Genealogical research program
  GRAMPS is an Open Source genealogy program written in Python, using
  the GTK/GNOME interface. It is an extremely flexible program fitting

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir

## gramps 3.4.1

=== debian/changelog ===
gramps (3.4.1-0.3) unstable; urgency=low

  * Non-maintainer upload
  * Newer upstream release + watch file added (Closes: #718852)
  * Also fixes an error causing the family order to be incorrect on xml export
  * Apply suggested patch to 3.4.0 to fix crash when non-UTF-8 locale used
    (Closes: #627833)
  * Updated copyright file to machine readable format

 -- Ross Gammon <rossgammon@mail.dk>  Sat, 12 Oct 2013 13:03:08 +0100

=== debian/control ===
Source: gramps
Section: gnome
Priority: optional
Maintainer: James A. Treacy <treacy@debian.org>
Build-Depends-Indep: libxml-parser-perl, python-gtk2, gettext, python, intltool
Build-Depends: debhelper (>= 9.0.0)
Standards-Version: 3.9.4
Homepage: http://www.gramps-project.org/

Package: gramps
Architecture: all
Depends: ${python:Depends}, librsvg2-common, python-gtk2, xdg-utils, python-pyexiv2, python-osmgpsmap, ${misc:Depends}
Replaces: gramps-manual, gramps-extending-doc
Conflicts: gramps-manual, gramps-extending-doc, gramps-common, python-gtk-1.2
Recommends: graphviz
Suggests: ttf-freefont, python-gtkspell, python-pygoocanvas, python-webkit
Description: Genealogical research program
 GRAMPS is an Open Source genealogy program written in Python, using
 the GTK/GNOME interface. It is an extremely flexible program fitting
 the needs for both the amateur genealogist and serious genealogical
 researcher.
 GRAMPS has the ability to import GEDCOM files exported from many
 proprietary genealogy programs and can produce a large number of
 reports in many popular formats.
XB-Python-Version: ${python:Versions}

=== debian/watch ===
version=3

http://sf.net/gramps/gramps-(.+)\.tar\.gz

## gramps 3.4.6

=== debian/changelog ===
gramps (3.4.6-1) unstable; urgency=low

  * New upstream release (Closes: #727234)
  * New maintainer (Closes: #728393)
  * Many changes and bugfixes since 3.4.1 (see NEWS file)
    - Including a fix for screens not redrawing (Closes: #686593)

 -- Ross Gammon <rossgammon@mail.dk>  Tue, 29 Oct 2013 20:17:47 +0100

=== debian/control ===
Source: gramps
Section: gnome
Priority: optional
Maintainer: Ross Gammon <rossgammon@mail.dk>
Build-Depends-Indep: libxml-parser-perl, python-gtk2, gettext, python, intltool
Build-Depends: debhelper (>= 9.0.0)
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/collab-maint/gramps.git
Vcs-browser: http://anonscm.debian.org/git/collab-maint/gramps.git
Homepage: http://www.gramps-project.org/

Package: gramps
Architecture: all
Depends: ${python:Depends}, librsvg2-common, python-gtk2, xdg-utils, python-pyexiv2, python-osmgpsmap, ${misc:Depends}
Recommends: graphviz, python-pyicu
Suggests: ttf-freefont, python-gtkspell, python-pygoocanvas, python-webkit
Description: Genealogical research program
 GRAMPS is an Open Source genealogy program written in Python, using
 the GTK/GNOME interface. It is an extremely flexible program fitting
 the needs for both the amateur genealogist and serious genealogical
 researcher.
 GRAMPS has the ability to import GEDCOM files exported from many
 proprietary genealogy programs and can produce a large number of
 reports in many popular formats.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

%:
	dh $@ --with python2

# Remove COPYING file (duplicates standard copyright)
override_dh_install:
	dh_install
	rm debian/gramps/usr/share/gramps/COPYING

# Test packager mode to avoid installing mime type
override_dh_auto_configure:
	dh_auto_configure -- --enable-packager-mode

## gramps 4.0.3%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v
export PYBUILD_NAME=gramps

%:
	dh $@ --with python2 --buildsystem=pybuild

# Override auto test because upstream do not use the standard unittest discover
override_dh_auto_test:

# Override of auto_install to remove information from package
override_dh_auto_install:
	dh_auto_install
	# Remove duplicate copyright information - using lintian override npw instead
	#rm $(CURDIR)/debian/gramps/usr/share/doc/gramps/COPYING
	# Remove install file as it is not needed by package users
	rm $(CURDIR)/debian/gramps/usr/share/doc/gramps/INSTALL
	# Remove duplicate license information
	rm $(CURDIR)/debian/gramps/usr/share/doc/gramps/LICENSE

# Make css style sheets and png icons non-executable
override_dh_fixperms:
	dh_fixperms
	chmod a-x $(CURDIR)/debian/gramps/usr/share/gramps/css/Web_*.css
	chmod a-x $(CURDIR)/debian/gramps/usr/share/gramps/images/22x22/gramps*.png
	chmod a-x $(CURDIR)/debian/gramps/usr/share/gramps/images/16x16/gramps*.png

# Avoid compressing COPYING file so that it can appear in the "About" dialog
override_dh_compress:
	dh_compress -X COPYING

## gramps 4.0.3+dfsg

=== debian/changelog ===
gramps (4.0.3+dfsg-2ubuntu1) trusty; urgency=medium

  * Fix bug preventing the editing of notes (LP: #1320596)

 -- Ross Gammon <rossgammon@mail.dk>  Mon, 02 Jun 2014 20:49:49 +0200

gramps (4.0.3+dfsg-2) unstable; urgency=low

  * Correct gtkspell dependency (Closes: #737715)
  * Apply patch from upstream to fix empty string bug (Closes: #738104)

 -- Ross Gammon <rossgammon@mail.dk>  Wed, 05 Feb 2014 23:47:46 +0100

gramps (4.0.3+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #720858)
  * To-do notes improved and made persistent (Closes: #680692)
  * Applied patch to setup.py to fix resource path problem
  * Applied patch to disable the optional HTML View & prevent a crash
  * Remove sourceless javascript files (Closes: #736436)
  * Gramps uses Bat Mitzva internally (Closes: #502532)

 -- Ross Gammon <rossgammon@mail.dk>  Mon, 03 Feb 2014 17:28:04 +0100

=== debian/control ===
Source: gramps
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ross Gammon <rossgammon@mail.dk>
Build-Depends-Indep:
 dh-python,
 gettext,
 intltool,
 libxml-parser-perl,
 python-all,
 python-setuptools
Build-Depends:
 debhelper (>= 9.0.0)
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/collab-maint/gramps.git
Vcs-browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gramps.git
Homepage: http://www.gramps-project.org/
X-Python-Version: >= 2.7

Package: gramps
Architecture: all
Depends:
 gir1.2-gtk-3.0,
 librsvg2-2,
 python-gi,
 python-gi-cairo,
 xdg-utils,
 ${misc:Depends},
 ${python:Depends}
Recommends:
 graphviz,
 libosmgpsmap-1.0-0-dev,
 python-pyicu
Suggests:
 fonts-freefont-ttf,
 gir1.2-gexiv2-0.4,
 gir1.2-gtkspell3-3.0,
 python-pil,
 rcs
Description: Genealogical research program
 GRAMPS is an Open Source genealogy program written in Python, using
 the GTK/GNOME interface. It is an extremely flexible program fitting
 the needs for both the amateur genealogist and serious genealogical
 researcher.
 GRAMPS has the ability to import GEDCOM files exported from many
 proprietary genealogy programs and can produce a large number of
 reports in many popular formats.

## gramps 4.0.4+dfsg

=== debian/changelog ===
gramps (4.0.4+dfsg-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1326462)

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 04 Jun 2014 21:51:05 +0200

gramps (4.0.4+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Export now possible in cron job when headless (Closes: #549974)
  * Gexiv now "Recommends" to reduce messages at startup (Closes: #748933)
  * Apply patch to fix bug for media with relative paths
  * Drop patch enabling HTML view - now included in this release
  * Drop patch for empty string bug - now included in this release
  * Drop patch for editing notes bug - now included in this release
  * Improve Debian packaging 
    + Provide get-orig-source target
    + Explain repacking of source tarball in README.source
    + Updated copyright file with new dates

 -- Ross Gammon <rossgammon@mail.dk>  Tue, 17 Jun 2014 17:21:59 +0200

gramps (4.0.3+dfsg-3) unstable; urgency=low

  * Drop patch to disable HTML View
  * Apply patch to fix and re-enable the HTML View.
    Thanks to Serge Noiraud (Closes: #737771)
  * Fix bug preventing the editing of notes (Closes: #747318)

 -- Ross Gammon <rossgammon@mail.dk>  Fri, 14 Feb 2014 20:53:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gramps
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ross Gammon <rossgammon@mail.dk>
+Maintainer: Ross Gammon <rossgammon@mail.dk>
 Build-Depends-Indep:
  dh-python,
  gettext,
@@ -30,12 +29,13 @@
  ${python:Depends}
 Recommends:
  graphviz,
- libosmgpsmap-1.0-0-dev,
+ gir1.2-gexiv2-0.4,
+ gir1.2-osmgpsmap-1.0,
  python-pyicu
 Suggests:
  fonts-freefont-ttf,
- gir1.2-gexiv2-0.4,
  gir1.2-gtkspell3-3.0,
+ gir1.2-webkit-3.0,
  python-pil,
  rcs
 Description: Genealogical research program

=== debian/watch ===
version=3

opts="dversionmangle=s/\+dfsg//g" \
http://sf.net/gramps/gramps-(.+)\.tar\.gz

## gramps 4.1.1~dfsg

=== debian/changelog ===
gramps (4.1.1~dfsg-3) unstable; urgency=medium

  * Add patch to fix bugs when database upgraded to Python 3 (Closes: #779308)

 -- Ross Gammon <rossgammon@mail.dk>  Thu, 26 Feb 2015 21:57:31 +0100

gramps (4.1.1~dfsg-2) unstable; urgency=medium

  * Fix clean target (Closes: #772573)

 -- Ross Gammon <rossgammon@mail.dk>  Mon, 08 Dec 2014 19:25:11 +0100

gramps (4.1.1~dfsg-1) unstable; urgency=medium

  * New upstream release
  * Fixes import of UTF-8 gedcoms (Closes: #765876)
  * Drop patches applied upstream

 -- Ross Gammon <rossgammon@mail.dk>  Fri, 24 Oct 2014 19:30:41 +0200

gramps (4.1.0~dfsg-1) unstable; urgency=medium

  [ Ross Gammon ]
  * Update resourcepath patch for upstream use (Closes: #739223)
  * Fix unused copyright entry
  * Add Keywords entry to gramps.desktop file (Closes: #729133)
  * Add an upstream/metadata file

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Bumped standards-version to 3.9.6 (No change needed)
  * Upload to unstable

 -- Ross Gammon <rossgammon@mail.dk>  Fri, 17 Oct 2014 17:31:47 +0200

gramps (4.1.0~dfsg-1~exp1) experimental; urgency=medium

  * Debian packaging switches to Python 3 (Closes: #733607)
  * New features include:
    + Full Python 3 support
    + Better Place handling
    + Tags now supported on Event, Place, Repository, Source, and Citation
    + Enhanced media related functions

 -- Ross Gammon <rossgammon@mail.dk>  Tue, 12 Aug 2014 20:46:31 +0200

gramps (4.0.4+dfsg-2) unstable; urgency=medium

  * Apply patch to fix drag and drop of media (Closes: #753352)
  * Correct wrong date in previous changelog entry

 -- Ross Gammon <rossgammon@mail.dk>  Thu, 03 Jul 2014 19:47:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: gramps
-Section: gnome
+Section: python
 Priority: optional
 Maintainer: Ross Gammon <rossgammon@mail.dk>
 Build-Depends-Indep:
@@ -7,36 +7,37 @@
  gettext,
  intltool,
  libxml-parser-perl,
- python-all,
- python-setuptools
+ python3-all,
+ python3-setuptools,
 Build-Depends:
  debhelper (>= 9.0.0)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/gramps.git
 Vcs-browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gramps.git
 Homepage: http://www.gramps-project.org/
-X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.2
 
 Package: gramps
 Architecture: all
 Depends:
  gir1.2-gtk-3.0,
  librsvg2-2,
- python-gi,
- python-gi-cairo,
+ python3-gi,
+ python3-gi-cairo,
+ python3-bsddb3,
  xdg-utils,
  ${misc:Depends},
- ${python:Depends}
+ ${python3:Depends}
 Recommends:
  graphviz,
- gir1.2-gexiv2-0.4,
+ gir1.2-gexiv2-0.10,
  gir1.2-osmgpsmap-1.0,
- python-pyicu
+ python3-icu
 Suggests:
  fonts-freefont-ttf,
  gir1.2-gtkspell3-3.0,
  gir1.2-webkit-3.0,
- python-pil,
+ python3-pil,
  rcs
 Description: Genealogical research program
  GRAMPS is an Open Source genealogy program written in Python, using

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v
export PYBUILD_NAME=gramps
export PYBUILD_INSTALL_ARGS_python3=--packaging

%:
	dh $@ --with python3 --buildsystem=pybuild

# Override auto test because upstream do not use the standard unittest discover
override_dh_auto_test:

# Override of auto_install to remove information from package
override_dh_auto_install:
	dh_auto_install
	# Remove install file as it is not needed by package users
	rm $(CURDIR)/debian/gramps/usr/share/doc/gramps/INSTALL
	#Remove duplicate license information
	rm $(CURDIR)/debian/gramps/usr/share/doc/gramps/LICENSE
	#Remove license information in COPYING file & link to system license
	rm $(CURDIR)/debian/gramps/usr/share/doc/gramps/COPYING
	ln -s /usr/share/common-licenses/GPL-2 $(CURDIR)/debian/gramps/usr/share/doc/gramps/COPYING

# Make css style sheets and png icons non-executable
override_dh_fixperms:
	dh_fixperms
	chmod a-x $(CURDIR)/debian/gramps/usr/share/gramps/css/Web_*.css
	chmod a-x $(CURDIR)/debian/gramps/usr/share/gramps/images/22x22/gramps*.png
	chmod a-x $(CURDIR)/debian/gramps/usr/share/gramps/images/16x16/gramps*.png

# Fix clean target
override_dh_clean:
	rm -rf data/tips.xml
	rm -rf gramps/plugins/lib/holidays.xml
	rm -rf po/.intltool-merge-cache
	dh_clean

get-orig-source:
	# To get ~dfsg, need to rename orig.tar after uscan
	uscan --verbose --destdir . --force-download
	rename 's/\+/\~/' gramps*.orig.tar.gz
	mv gramps*.orig.tar.gz ../
	rm gramps*.tar.gz

=== debian/watch ===
version=3

opts="dversionmangle=s/(\+|\~)dfsg//g" \
http://sf.net/gramps/gramps-(.+)\.tar\.gz

## gramps 4.1.1%7edfsg

=== gramps/webapp/Makefile ===
# Initialize GRAMPS Django site

PYTHON=GRAMPS_RESOURCES=../.. PYTHONPATH=../.. python2.7

update: grampsdb/fixtures/initial_data.json
	$(PYTHON) manage.py syncdb --noinput
	$(PYTHON) manage.py createsuperuser --username=admin --email=bugs@gramps-project.org
	$(PYTHON) manage.py createsuperuser --username=admin1 --email=bugs@gramps-project.org

grampsdb/fixtures/initial_data.json: init.py
	mkdir -p grampsdb/fixtures
	$(PYTHON) init.py > grampsdb/fixtures/initial_data.json

init_gramps:
	$(PYTHON) init_gramps.py # clear primary and secondary tables

run:
	$(PYTHON) manage.py runserver

sql:
	$(PYTHON) manage.py sqlall > gramps-sql.sql

dump:
	echo ".dump" | sqlite3 sqlite.db > gramps-data.sql

load:
	sqlite3 sqlite.db < gramps-data.sql

superusers:
	$(PYTHON) manage.py createsuperuser --username=admin --email=bugs@gramps-project.org
	$(PYTHON) manage.py createsuperuser --username=admin1 --email=bugs@gramps-project.org

backup:
	$(PYTHON) manage.py dumpdata > backup.json

restore: empty
	$(PYTHON) manage.py loaddata backup.json

initial_data: 
	$(PYTHON) manage.py loaddata grampsdb/fixtures/initial_data.json

docs:
	mkdir -p docs
	$(PYTHON) graph_models grampsdb -i Person,Family,Source,Event,Repository,Place,Media,Note -o docs/primary-tables.png
	$(PYTHON) graph_models grampsdb -i Note -o docs/note-table.png
	$(PYTHON) graph_models grampsdb -i Media -o docs/media-table.png
	$(PYTHON) graph_models grampsdb -i Place -o docs/place-table.png
	$(PYTHON) graph_models grampsdb -i Repository -o docs/repository-table.png
	$(PYTHON) graph_models grampsdb -i Event -o docs/event-table.png
	$(PYTHON) graph_models grampsdb -i Source -o docs/source-table.png
	$(PYTHON) graph_models grampsdb -i Family -o docs/family-table.png
	$(PYTHON) graph_models grampsdb -i Person -o docs/person-table.png
	$(PYTHON) graph_models grampsdb -o docs/all-tables.png
	$(PYTHON) graph_models grampsdb -i Attribute,Datamap,Name,Lds,Tag,Address,Location,Url -o docs/secondary-tables.png
	$(PYTHON) graph_models grampsdb -i Person,Family,Source,Event,Repository,Place,Media,Note,Attribute,Datamap,Name,Lds,Tag,Address,Location,Url -o docs/prim-sec-tables.png
	$(PYTHON) graph_models grampsdb -i Person,Family,Source,Event,Repository,Place,Media,Note,Attribute,Datamap,Name,Lds,Tag,Address,Location,Url -o docs/prim-sec-tables.png
	$(PYTHON) graph_models grampsdb -i Person,Family,Source,Event,Repository,Place,Media,Note,Attribute,Datamap,Name,Lds,Tag,Address,Location,Url,NoteRef,SourceRef,EventRef,RepositoryRef,PersonRef,ChildRef,MediaRef -o docs/prim-sec-ref-tables.png

make-empty:
	echo ".dump" | sqlite3 sqlite.db > empty.sql

empty:
	rm -f sqlite.db
	sqlite3 sqlite.db < empty.sql

example:
	rm -f sqlite.db
	sqlite3 sqlite.db < example.sql

clean:
	rm -f sqlite.db
	rm -f *~ *.pyc *.pyo
	rm -f grampsdb/fixtures/initial_data.json

## gramps 4.1.2~dfsg

=== debian/changelog ===
gramps (4.1.2~dfsg-1) unstable; urgency=medium

  * Move gramps from experimental to unstable
  * Switch gbp.conf debian-branch back to master
  * Change Vcs URL to cgit instead of gitweb
  * Update README.Debian as Python 3 happened in the past
  * Refresh patches

 -- Ross Gammon <rossgammon@mail.dk>  Sun, 26 Apr 2015 12:18:04 +0200

gramps (4.1.2~dfsg-1~exp1) experimental; urgency=medium

  * New upstream release
  * Set gbp.conf debian branch to experimental
  * Update upstream metadata with switch to github from sourceforge
  * Refresh patch & drop pickle patch as it came from 4.1.2
  * Update copyright years
  * Add patch to fix HTML view
  * Enable upstream unit tests during build (Closes: #739446)
  * Add an autopkgtest for the commandline import & export

 -- Ross Gammon <rossgammon@mail.dk>  Thu, 26 Mar 2015 20:02:15 +0100

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,10 @@
  debhelper (>= 9.0.0)
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/gramps.git
-Vcs-browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gramps.git
+Vcs-browser: http://anonscm.debian.org/cgit/collab-maint/gramps.git
 Homepage: http://www.gramps-project.org/
 X-Python3-Version: >= 3.2
+XS-Testsuite: autopkgtest
 
 Package: gramps
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,9 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
-# Override auto test because upstream do not use the standard unittest discover
+# Override auto test to enable tests as shown on upstream wiki
 override_dh_auto_test:
+	python3 setup.py test
 
 # Override of auto_install to remove information from package
 override_dh_auto_install:

=== debian/tests/control ===
Tests: gramps-import-export
Depends: gramps, gzip

## gramps 4.1.3~dfsg

=== debian/changelog ===
gramps (4.1.3~dfsg-2) unstable; urgency=medium

  * Update resource path patch - applied upstream
  * Add patch to fix error message and freeze in Geography View
    (Closes: #789333)
  * Drop Xs-testsuite field as tests are found automatically now

 -- Ross Gammon <rossgammon@mail.dk>  Sun, 28 Jun 2015 12:12:42 +0200

gramps (4.1.3~dfsg-1) unstable; urgency=medium

  * New upstream release
  * Fixes manpage desription of import function (LP: #1427444)
  * Fixes crash when closing detatched gramplet (Closes: #785393)

 -- Ross Gammon <rossgammon@mail.dk>  Sat, 16 May 2015 11:49:41 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
 Vcs-browser: http://anonscm.debian.org/cgit/collab-maint/gramps.git
 Homepage: http://www.gramps-project.org/
 X-Python3-Version: >= 3.2
-XS-Testsuite: autopkgtest
 
 Package: gramps
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 #export DH_OPTIONS=-v
 export PYBUILD_NAME=gramps
-export PYBUILD_INSTALL_ARGS_python3=--packaging
+export PYBUILD_INSTALL_ARGS_python3=--resourcepath=/usr/share
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## gramps 4.2.0~dfsg

=== debian/changelog ===
gramps (4.2.0~dfsg-1) unstable; urgency=medium

  * New upstream release
  * Drop patches applied upstream or cherry-picked from there
  * Add version constraints for gtk and pygobject
  * Add goocanvas dependency - available soon
  * Drop webkit dpendency as HTML view has been removed
  * Force removal of upstream packages when installing Debian one
    (LP: #1464845)
  * Drop fixperm override as permissions fixed upstream
  * Fix spelling error in changelog
  * Switch to nose for unit tests
  * Add build dependencies for the nose tests
  * Update copyright file
  * Add uversionmangle to watch file to deal with alpha/beta versions
  * Add manual test cases
  * Drop FAQ URL from upstream metadata - changes every release
  * Add patch to fix transparent windows in Ubuntu.
    Thanks to Lance Orner (LP: #1451259)

 -- Ross Gammon <rossgammon@mail.dk>  Tue, 11 Aug 2015 23:03:11 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,12 @@
  libxml-parser-perl,
  python3-all,
  python3-setuptools,
+ python3-nose,
+ python3-django,
+ gir1.2-gtk-3.0 (>= 3.10.0),
+ python3-gi (>= 3.12.0),
+ python3-gi-cairo,
+ python3-bsddb3
 Build-Depends:
  debhelper (>= 9.0.0)
 Standards-Version: 3.9.6
@@ -20,9 +26,9 @@
 Package: gramps
 Architecture: all
 Depends:
- gir1.2-gtk-3.0,
+ gir1.2-gtk-3.0 (>= 3.10.0),
  librsvg2-2,
- python3-gi,
+ python3-gi (>= 3.12.0),
  python3-gi-cairo,
  python3-bsddb3,
  xdg-utils,
@@ -35,10 +41,16 @@
  python3-icu
 Suggests:
  fonts-freefont-ttf,
+ gir1.2-goocanvas-2.0,
  gir1.2-gtkspell3-3.0,
- gir1.2-webkit-3.0,
  python3-pil,
  rcs
+Conflicts:
+ python-gramps,
+ python3-gramps
+Replaces:
+ python-gramps,
+ python3-gramps
 Description: Genealogical research program
  GRAMPS is an Open Source genealogy program written in Python, using
  the GTK/GNOME interface. It is an extremely flexible program fitting

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,15 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
-# Override auto test to enable tests as shown on upstream wiki
+# Override auto test to enable node tests
 override_dh_auto_test:
-	python3 setup.py test
+	DJANGO_SETTINGS_MODULE=gramps.webapp.settings nosetests3 -vv \
+	--exclude=TestcaseGenerator \
+	--exclude=vcard \
+	--exclude=merge_ref_test \
+	--exclude=test3b_delete_tree_constraint \
+	--exclude=test_consistent_with_DISPLAY_env \
+	--exclude=test4_arbitrary_uncode_path
 
 # Override of auto_install to remove information from package
 override_dh_auto_install:
@@ -23,13 +29,6 @@
 	#Remove license information in COPYING file & link to system license
 	rm $(CURDIR)/debian/gramps/usr/share/doc/gramps/COPYING
 	ln -s /usr/share/common-licenses/GPL-2 $(CURDIR)/debian/gramps/usr/share/doc/gramps/COPYING
-
-# Make css style sheets and png icons non-executable
-override_dh_fixperms:
-	dh_fixperms
-	chmod a-x $(CURDIR)/debian/gramps/usr/share/gramps/css/Web_*.css
-	chmod a-x $(CURDIR)/debian/gramps/usr/share/gramps/images/22x22/gramps*.png
-	chmod a-x $(CURDIR)/debian/gramps/usr/share/gramps/images/16x16/gramps*.png
 
 # Fix clean target
 override_dh_clean:

=== debian/watch ===
version=3

opts=\
dversionmangle=s/(\+|\~)dfsg//g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
http://sf.net/gramps/gramps-(.+)\.tar\.gz

## gramps 4.2.2~dfsg

=== debian/changelog ===
gramps (4.2.2~dfsg-1) unstable; urgency=medium

  * New upstream release
  * Contains fix for crash when entering death with no birth
    (Closes: #810815)
  * Update copyright years
  * Fix spelling error in NEWS file

 -- Ross Gammon <rossgammon@mail.dk>  Mon, 18 Jan 2016 20:33:51 +0100

gramps (4.2.1~dfsg-2) unstable; urgency=medium

  * Fix FTBFS by excluding nose from webapp directory
    (Closes: #805202)
  * Attempt to fix reproducibility issue by adding --force
    option to setup.py
  * Add patch to fix gi.respository import without version warnings
    Thanks to Vincent Smeets (Closes: #802010)

 -- Ross Gammon <rossgammon@mail.dk>  Sun, 06 Dec 2015 13:54:16 +0100

gramps (4.2.1~dfsg-1) unstable; urgency=medium

  * New upstream release
  * Update watchfile to github tarball location
  * Drop patch previously cherry picked from upstream
  * Unapply patches from source
  * Update copyright file
  * Drop watch line from upstream/metadata file
  * No PKG-INFO to install anymore
  * Install NEWS file as the upstream changelog
  * Change section from python to misc to avoid lintian warning

 -- Ross Gammon <rossgammon@mail.dk>  Mon, 19 Oct 2015 22:54:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: gramps
-Section: python
+Section: misc
 Priority: optional
 Maintainer: Ross Gammon <rossgammon@mail.dk>
 Build-Depends-Indep:
@@ -10,6 +10,7 @@
  python3-all,
  python3-setuptools,
  python3-nose,
+ python3-nose-exclude,
  python3-django,
  gir1.2-gtk-3.0 (>= 3.10.0),
  python3-gi (>= 3.12.0),

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 #export DH_OPTIONS=-v
 export PYBUILD_NAME=gramps
-export PYBUILD_INSTALL_ARGS_python3=--resourcepath=/usr/share
+export PYBUILD_INSTALL_ARGS_python3=--resourcepath=/usr/share --force
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
@@ -17,13 +17,17 @@
 	--exclude=merge_ref_test \
 	--exclude=test3b_delete_tree_constraint \
 	--exclude=test_consistent_with_DISPLAY_env \
-	--exclude=test4_arbitrary_uncode_path
+	--exclude=test4_arbitrary_uncode_path \
+	--exclude-dir=gramps/webapp
 
 # Override of auto_install to remove information from package
 override_dh_auto_install:
+	dh_installchangelogs NEWS
 	dh_auto_install
 	# Remove install file as it is not needed by package users
 	rm $(CURDIR)/debian/gramps/usr/share/doc/gramps/INSTALL
+	# Remove NEWS file as it is now installed as the changelog
+	rm $(CURDIR)/debian/gramps/usr/share/doc/gramps/NEWS
 	#Remove duplicate license information
 	rm $(CURDIR)/debian/gramps/usr/share/doc/gramps/LICENSE
 	#Remove license information in COPYING file & link to system license
@@ -36,10 +40,3 @@
 	rm -rf gramps/plugins/lib/holidays.xml
 	rm -rf po/.intltool-merge-cache
 	dh_clean
-
-get-orig-source:
-	# To get ~dfsg, need to rename orig.tar after uscan
-	uscan --verbose --destdir . --force-download
-	rename 's/\+/\~/' gramps*.orig.tar.gz
-	mv gramps*.orig.tar.gz ../
-	rm gramps*.tar.gz
